WordPress PDF & Print Button Joliprint plugin cross-site scripting sérülékenység

CH azonosító

CH-6852

Angol cím

WordPress PDF & Print Button Joliprint Plugin "opt" Cross-Site Scripting Vulnerability

Felfedezés dátuma

2012.05.14.

Súlyosság

Alacsony

Érintett rendszerek

PDF & Print Button Joliprint Plugin
WordPress

Érintett verziók

WordPress PDF & Print Button Joliprint Plugin 1.x

Összefoglaló

A WordPress PDF & Print Button Joliprint bővítményének olyan sérülékenységét jelentették, amelyet a támadók kihasználva cross-site scripting (XSS/CSS) támadásokat hajthatnak végre.

Leírás

Az “opt” paraméter által átadott bemenet a wp-admin/options-general.php részére (amikor a “page” értéke “joliprint/joliprint_admin_options.php”) nincs megfelelően megtisztítva, mielőtt visszaadásra kerülne. Ezt kihasználva, tetszőleges HTML és script kódot lehet lefuttatni a felhasználó böngészőjében, az érintett oldal vonatkozásában.

A sérülékenységet az 1.3.0 verzióban jelentették. Korábbi verziók is érintettek lehetnek.

Megoldás

Frissítsen a legújabb verzióra